OpenSSL [Exploit] OK To Substitute 1.0.1g Version?

This is a place for users to discuss Altap Salamander. Please feel free to ask, answer questions, and express your opinion. Please do not post problems, bug reports or feature requests here.
therube
Posts: 603
Joined: 14 Dec 2006, 06:22

OpenSSL [Exploit] OK To Substitute 1.0.1g Version?

Post by therube » 09 Apr 2014, 16:16

OpenSSL [Heartblead Exploit] is it OK To Substitute to the patched 1.0.1g Version, simply replacing existing with the updated dll's?
WinXP Pro SP3 or Win7 x86 | SS 2.54

Jan Rysavy
ALTAP Staff
ALTAP Staff
Posts: 5126
Joined: 08 Dec 2005, 06:34
Location: Novy Bor, Czech Republic
Contact:

Re: OpenSSL [Exploit] OK To Substitute 1.0.1g Version?

Post by Jan Rysavy » 09 Apr 2014, 17:51

It can work, I didn't test it. Default Altap Salamander OpenSSL is linked with salrtl* RTL. Let us know...

We are preparing AS 3.01 with OpenSSL 1.0.1g.

Edit: -removed-

therube
Posts: 603
Joined: 14 Dec 2006, 06:22

Re: OpenSSL [Exploit] OK To Substitute 1.0.1g Version?

Post by therube » 29 Apr 2014, 17:01

Updated dll's are now included in 3.0.1 release :-).
WinXP Pro SP3 or Win7 x86 | SS 2.54

therube
Posts: 603
Joined: 14 Dec 2006, 06:22

Re: OpenSSL [Exploit] OK To Substitute 1.0.1i Version?

Post by therube » 01 Sep 2014, 15:06

OpenSSL 1.0.1i - Security Update
Before, it was "just there" & you never need to pay attention.
Now, well, there are security fixes to deal with ;-).
(And not included in 3.0.3.)
WinXP Pro SP3 or Win7 x86 | SS 2.54

Jan Rysavy
ALTAP Staff
ALTAP Staff
Posts: 5126
Joined: 08 Dec 2005, 06:34
Location: Novy Bor, Czech Republic
Contact:

Re: OpenSSL [Exploit] OK To Substitute 1.0.1g Version?

Post by Jan Rysavy » 04 Sep 2014, 09:15

Thank you. We will include OpenSSL version checking to our pre-release checklist.
Here is OpenSSL 1.0.1i compiled with Altap Salamander options: http://www.altap.cz/upload/openssl_1_0_1i.7z

Sio_x
Posts: 1
Joined: 26 Sep 2014, 16:34

Re: OpenSSL [Exploit] OK To Substitute 1.0.1g Version?

Post by Sio_x » 26 Sep 2014, 16:37

Can you update the News with the correct download plz.

Post Reply